<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');	
include_once(ROOT_DIR.'egBrowser.class.php');


class egSubWindow extends egWindow {

	function egSubWindow($id, $title, $posX, $posY, $width, $height) {
		parent::egWindow($id, $title, $posX, $posY, $width, $height);
	}

	function getClassName() {
        return 'egSubWindow';
  }

  function getHTML($container = null) {
		$html = "var subWindow_{$this->id} = new egSubWindow('{$this->id}', '{$this->title}', '{$this->posX}', '{$this->posY}', '{$this->width}', '{$this->height}', '{$container}');";

		return $html;
  }

	/**
 	 *
	 *  @static
	 */
  function getScriptsFiles() {
    $scriptsArray = array();
    $scriptsArray[ALL] = "egSubWindow_default.js";
    return $scriptsArray;
  }

	/**
 	 *
	 *  @static
	 */
  function getStylesFiles() {
    $stylesArray = array();
    $stylesArray[ALL] = "egSubWindow_default.css";
    return $stylesArray;
  }
}
?>